import { Tweet } from './twitter-api/tweet';
export interface TweetOptions {
    /** The text of the tweet. */
    status: string;
    /** A list of file paths. */
    attachments?: string[];
    consumerKey: string;
    consumerSecret: string;
    accessKey: string;
    accessSecret: string;
}
export declare function tweet({ consumerKey, consumerSecret, accessKey, accessSecret, status, attachments }: TweetOptions): Promise<Tweet>;
