export { toot } from './toot';
export { tweet } from './tweet';
export interface TootConfig {
    token: string;
    server?: string;
}
export interface TweetConfig {
    consumerKey: string;
    consumerSecret: string;
    accessKey: string;
    accessSecret: string;
}
export declare type Configs = (TootConfig | TweetConfig)[];
export declare function twoot(configs: Configs, status: string, attachments?: string[]): Promise<string[]>;
